import os,sqlite3

def select_cmd():
    #просмотр таблицы с именем в tblname из БД с именем в dbname
    sql = 'SELECT * FROM {}'.format(tblname)
    with con:
        data = cur.execute(sql).fetchall()
        return (data)

dbname=' '
###Выбор БД с проверкой ее наличия
while (os.path.isfile(dbname)!=True):
    dbname = input('Укажите имя файла SQLite: ')
    if (os.path.isfile(dbname)==True): 
        break
    print('Нет такого файла!')

tblname = input('Укажите имя таблицы: ') #ввод имени
con = sqlite3.connect(dbname)
cur = con.cursor()

dan=select_cmd()
nzap=len(dan)
print('Таблица: ',tblname,' из БД ',dbname)
for i in range(nzap):
    print(dan[i])

cur.close()
con.close()
